using System;
using System.Collections.Generic;
using System.Text;
using JuSNS.Model;
using JuSNS.Common;
using JuSNS.Factory;

namespace JuSNS.Home
{
    /// <summary>
    /// 系统留言类
    /// </summary>
    public class SysNotepad
    {
        private ISysNotepad dal;

        /// <summary>
        /// 构造函数
        /// </summary>
        public SysNotepad()
        {
            dal = DataAccess.CreateSysNotepad();
        }
        /// <summary>
        /// 添加系统留言
        /// </summary>
        /// <param name="Info">系统留言实体类</param>
        /// <returns>添加成功返回1</returns>
        public int Add(SysNotepadInfo Info)
        {
            return dal.Add(Info);
        }

        /// <summary>
        /// 回复(修改)系统留言
        /// </summary>
        /// <param name="Info">系统留言实体类</param>
        /// <returns>回复(修改)成功返回1</returns>
        public int Reply(SysNotepadInfo Info)
        {
            return dal.Reply(Info);
        }

        /// <summary>
        /// 删除系统留言
        /// </summary>
        /// <param name="ID">留言编号</param>
        /// <returns>删除成功返回1</returns>
        public int Del(int ID)
        {
            return dal.Del(ID);
        }

        /// <summary>
        /// 取得留言详细信息
        /// </summary>
        /// <param name="ID">留言编号</param>
        /// <returns>返回系统留言实体类</returns>
        public SysNotepadInfo Info(int ID)
        {
            return dal.Info(ID);
        }
    }
}
